Loading...
Searching...
No Matches
casacore::Allocator_private::BulkAllocator< T2 > Struct Template Referenceabstract

## Public Types

using | size_type
using | value_type
using | pointer
using | const_pointer

## Public Member Functions

virtual pointer | allocate (size_type elements, const void *ptr=0)=0
virtual void | deallocate (pointer ptr, size_type size)=0
virtual void | construct (pointer ptr, size_type n, const_pointer src)=0
virtual void | construct (pointer ptr, size_type n, value_type const &initial_value)=0
virtual void | construct (pointer ptr, size_type n)=0
virtual void | destroy (pointer ptr, size_type n)=0
virtual std::type_info const & | allocator_typeid () const =0
virtual | ~BulkAllocator ()

## Detailed Description

template<typename T2>
struct casacore::Allocator_private::BulkAllocator< T2 >

Definition at line 211 of file Allocator.h.

## Member Typedef Documentation

## const_pointer

template<typename T2>

using casacore::Allocator_private::BulkAllocator< T2 >::const_pointer

Definition at line 215 of file Allocator.h.

## pointer

template<typename T2>

using casacore::Allocator_private::BulkAllocator< T2 >::pointer

Definition at line 214 of file Allocator.h.

## size_type

template<typename T2>

using casacore::Allocator_private::BulkAllocator< T2 >::size_type

Definition at line 212 of file Allocator.h.

## value_type

template<typename T2>

using casacore::Allocator_private::BulkAllocator< T2 >::value_type

Definition at line 213 of file Allocator.h.

## Constructor & Destructor Documentation

## ~BulkAllocator()

template<typename T2>

virtual casacore::Allocator_private::BulkAllocator< T2 >::~BulkAllocator | ( |  | ) |

inline virtual

Definition at line 225 of file Allocator.h.

## Member Function Documentation

## allocate()

template<typename T2>

virtual pointer casacore::Allocator_private::BulkAllocator< T2 >::allocate | ( | size_type | elements,
|  | const void * | ptr = 0 )

pure virtual

## allocator_typeid()

template<typename T2>

virtual std::type_info const & casacore::Allocator_private::BulkAllocator< T2 >::allocator_typeid | ( |  | ) | const

pure virtual

Implemented in casacore::Allocator_private::BulkAllocatorImpl< Allocator >.

## construct() [1/3]

template<typename T2>

virtual void casacore::Allocator_private::BulkAllocator< T2 >::construct | ( | pointer | ptr,
|  | size_type | n )

pure virtual

## construct() [2/3]

template<typename T2>

virtual void casacore::Allocator_private::BulkAllocator< T2 >::construct | ( | pointer | ptr,
|  | size_type | n,
|  | const_pointer | src )

pure virtual

## construct() [3/3]

template<typename T2>

virtual void casacore::Allocator_private::BulkAllocator< T2 >::construct | ( | pointer | ptr,
|  | size_type | n,
|  | value_type const & | initial_value )

pure virtual

## deallocate()

template<typename T2>

virtual void casacore::Allocator_private::BulkAllocator< T2 >::deallocate | ( | pointer | ptr,
|  | size_type | size )

pure virtual

References casacore::size().

## destroy()

template<typename T2>

virtual void casacore::Allocator_private::BulkAllocator< T2 >::destroy | ( | pointer | ptr,
|  | size_type | n )

pure virtual

The documentation for this struct was generated from the following file:

- casa/Containers/Allocator.h